Passer au contenu principal
POST
/
projects
Create a project
curl --request POST \
  --url https://api.youka.io/api/v1/projects \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "<string>",
  "inputFileId": "<string>",
  "splitModel": "mdx23c",
  "lyricsSource": {
    "type": "<string>",
    "language": "af",
    "syncModel": "audioshake-transcription"
  },
  "presetId": "<string>"
}
'
{
  "projectId": "<string>",
  "taskId": "<string>",
  "projectUrl": "<string>",
  "taskUrl": "<string>"
}

Autorisations

Authorization
string
header
requis

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

En-têtes

Idempotency-Key
string

Corps

application/json
title
string
requis
Minimum string length: 2
inputFileId
string
requis
splitModel
enum<string>
requis
Options disponibles:
mdx23c,
audioshakeai,
audioshake_vocals_lead,
musicai_instrumental_only,
musicai_lead_backing_other,
musicai_with_backing_vocals,
musicai_without_backing_vocals,
uvr_mdxnet_kara_2,
bs_roformer,
mel_band_roformer_instrumental_becruily,
mel_band_roformer_instrumental_instv7_gabox,
demucs
lyricsSource
object
presetId
string

Réponse

202 - application/json

Project creation task accepted

projectId
string
requis
taskId
string
requis
projectUrl
string<uri>
requis
taskUrl
string<uri>
requis